curl --request GET \
--url https://api.platform.dakota.xyz/applications/{application_id}/documents \
--header 'X-Application-Token: <api-key>'const options = {method: 'GET', headers: {'X-Application-Token': '<api-key>'}};
fetch('https://api.platform.dakota.xyz/applications/{application_id}/documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.platform.dakota.xyz/applications/{application_id}/documents"
headers = {"X-Application-Token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.platform.dakota.xyz/applications/{application_id}/documents"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Application-Token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": [
{
"id": "1NFHrqBHb3cTfLVkFSGmHZqdDPi",
"category": "business",
"document_type": "certificate_of_incorporation",
"file_type": "pdf",
"status": "uploaded",
"original_filename": "certificate.pdf",
"individual_id": "2hCjxJzUAW6JVRkZqaF9E0KpM3a",
"individual_first_name": "John",
"individual_last_name": "Doe",
"created_at": "2025-01-15T10:30:00Z"
}
],
"meta": {
"total_count": 100,
"has_more_after": true,
"has_more_before": false
}
}{
"type": "https://docs.dakota.xyz/api-reference/errors#invalid-request",
"title": "Invalid request",
"status": 400,
"detail": "Invalid request",
"instance": "https://api.platform.dakota.xyz/applications/example-id/documents",
"request_id": "req_01hzy6y7v8w9x0y1z2a3b4c5d6"
}{
"type": "https://docs.dakota.xyz/api-reference/errors#authentication-error",
"title": "Unauthorized",
"status": 401,
"detail": "Unauthorized",
"instance": "https://api.platform.dakota.xyz/applications/example-id/documents",
"request_id": "req_01hzy6y7v8w9x0y1z2a3b4c5d6"
}{
"type": "https://docs.dakota.xyz/api-reference/errors#forbidden",
"title": "Forbidden",
"status": 403,
"detail": "Forbidden",
"instance": "https://api.platform.dakota.xyz/applications/example-id/documents",
"request_id": "req_01hzy6y7v8w9x0y1z2a3b4c5d6"
}{
"type": "https://docs.dakota.xyz/api-reference/errors#not-found",
"title": "Application not found",
"status": 404,
"detail": "Application not found",
"instance": "https://api.platform.dakota.xyz/applications/example-id/documents",
"request_id": "req_01hzy6y7v8w9x0y1z2a3b4c5d6"
}{
"type": "https://docs.dakota.xyz/api-reference/errors#internal-error",
"title": "Unexpected error",
"status": 500,
"detail": "Unexpected error",
"instance": "https://api.platform.dakota.xyz/applications/example-id/documents",
"request_id": "req_01hzy6y7v8w9x0y1z2a3b4c5d6"
}List all documents for an application
Returns paginated metadata for documents associated with an application. Supports optional filtering by category and document type.
curl --request GET \
--url https://api.platform.dakota.xyz/applications/{application_id}/documents \
--header 'X-Application-Token: <api-key>'const options = {method: 'GET', headers: {'X-Application-Token': '<api-key>'}};
fetch('https://api.platform.dakota.xyz/applications/{application_id}/documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.platform.dakota.xyz/applications/{application_id}/documents"
headers = {"X-Application-Token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.platform.dakota.xyz/applications/{application_id}/documents"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Application-Token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": [
{
"id": "1NFHrqBHb3cTfLVkFSGmHZqdDPi",
"category": "business",
"document_type": "certificate_of_incorporation",
"file_type": "pdf",
"status": "uploaded",
"original_filename": "certificate.pdf",
"individual_id": "2hCjxJzUAW6JVRkZqaF9E0KpM3a",
"individual_first_name": "John",
"individual_last_name": "Doe",
"created_at": "2025-01-15T10:30:00Z"
}
],
"meta": {
"total_count": 100,
"has_more_after": true,
"has_more_before": false
}
}{
"type": "https://docs.dakota.xyz/api-reference/errors#invalid-request",
"title": "Invalid request",
"status": 400,
"detail": "Invalid request",
"instance": "https://api.platform.dakota.xyz/applications/example-id/documents",
"request_id": "req_01hzy6y7v8w9x0y1z2a3b4c5d6"
}{
"type": "https://docs.dakota.xyz/api-reference/errors#authentication-error",
"title": "Unauthorized",
"status": 401,
"detail": "Unauthorized",
"instance": "https://api.platform.dakota.xyz/applications/example-id/documents",
"request_id": "req_01hzy6y7v8w9x0y1z2a3b4c5d6"
}{
"type": "https://docs.dakota.xyz/api-reference/errors#forbidden",
"title": "Forbidden",
"status": 403,
"detail": "Forbidden",
"instance": "https://api.platform.dakota.xyz/applications/example-id/documents",
"request_id": "req_01hzy6y7v8w9x0y1z2a3b4c5d6"
}{
"type": "https://docs.dakota.xyz/api-reference/errors#not-found",
"title": "Application not found",
"status": 404,
"detail": "Application not found",
"instance": "https://api.platform.dakota.xyz/applications/example-id/documents",
"request_id": "req_01hzy6y7v8w9x0y1z2a3b4c5d6"
}{
"type": "https://docs.dakota.xyz/api-reference/errors#internal-error",
"title": "Unexpected error",
"status": 500,
"detail": "Unexpected error",
"instance": "https://api.platform.dakota.xyz/applications/example-id/documents",
"request_id": "req_01hzy6y7v8w9x0y1z2a3b4c5d6"
}Authorizations
Application-specific token for public URL access. Generated when a customer is created. Provides access to a single application without requiring an API key. Token is valid for 90 days and rate-limited to 250 requests per hour.
Path Parameters
The unique identifier for the application KSUID is a 27-character globally unique ID that combines a timestamp with a random component. Used for all entity identifiers in the Dakota platform.
27^[0-9A-Za-z]{27}$"1NFHrqBHb3cTfLVkFSGmHZqdDPi"
Query Parameters
A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 20.
1 <= x <= 100A cursor for use in pagination. starting_after is a KSUID for the object you are listing that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with ID 2B5J8KZ9N7M1K3P6Q8R4T7V9, your subsequent call can include starting_after=2B5J8KZ9N7M1K3P6Q8R4T7V9 in order to fetch the next page of the list.
KSUID is a 27-character globally unique ID that combines a timestamp with a random component. Used for all entity identifiers in the Dakota platform.
27^[0-9A-Za-z]{27}$"1NFHrqBHb3cTfLVkFSGmHZqdDPi"
A cursor for use in pagination. ending_before is a KSUID for the object you are listing that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with ID 2B5J8KZ9N7M1K3P6Q8R4T7V9, your subsequent call can include ending_before=2B5J8KZ9N7M1K3P6Q8R4T7V9 in order to fetch the previous page of the list.
KSUID is a 27-character globally unique ID that combines a timestamp with a random component. Used for all entity identifiers in the Dakota platform.
27^[0-9A-Za-z]{27}$"1NFHrqBHb3cTfLVkFSGmHZqdDPi"
Optional filter by document category
business, identity, edd Optional filter by specific document type
Was this page helpful?

